## pmount 0.1

=== Makefile ===
LIBS=-lsysfs
CFLAGS=-Wall -W

pmount_OBJ = pmount.o policy.o
pumount_OBJ = pumount.o policy.o

all: pmount pumount

pmount: $(pmount_OBJ)
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

pumount: $(pumount_OBJ)
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

install: pmount pumount
	install -o root -g root -m 4755 -D ./pmount $(DESTDIR)/usr/bin/pmount
	install -o root -g root -m 4755 -D ./pumount $(DESTDIR)/usr/bin/pumount

clean:
	rm -f pmount pumount $(pmount_OBJ) $(pumount_OBJ)

policy.o: policy.h
pmount.o: policy.h
pumount.o: policy.h
