## pmount 0.9.5

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,15 @@
 LIBS=-lsysfs
 CFLAGS?=-Wall -W -O2
-HAL_CFLAGS=$(shell pkg-config hal --cflags)
-HAL_LDFLAGS=$(shell pkg-config hal --libs)
+HAL_CFLAGS=$(shell pkg-config hal-storage --cflags)
+HAL_LDFLAGS=$(shell pkg-config hal-storage --libs)
+VERSION=$(shell head -n 1 CHANGES)
 PREFIX?=/usr/local
 
-pmount_OBJ = pmount.o policy.o utils.o fs.o
-pumount_OBJ = pumount.o policy.o utils.o
-pmount_hal_OBJ = pmount-hal.o policy.o utils.o
+pmount_OBJ = pmount.o policy.o utils.o fs.o luks.o
+pumount_OBJ = pumount.o policy.o utils.o luks.o
+pmount_hal_OBJ = pmount-hal.o policy.o utils.o fs.o
 
-all: pmount pumount pmount-hal
+all: pmount pumount pmount-hal po/pmount.pot
 
 pmount: $(pmount_OBJ)
 	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@
@@ -43,16 +44,23 @@
 	for f in po/*.po; do P="$(DESTDIR)/$(PREFIX)/share/locale/$$(basename $${f%.po})/LC_MESSAGES/"; rm -f "$$P/pmount.mo"; rmdir -p --ignore-fail-on-non-empty "$$P"; done
 
 clean:
-	rm -f pmount pumount pmount-hal $(pmount_OBJ) $(pumount_OBJ) $(pmount_hal_OBJ)
+	rm -f pmount pumount pmount-hal $(pmount_OBJ) $(pumount_OBJ) $(pmount_hal_OBJ) po/pmount.pot
 
-updatepo:
+po/pmount.pot:
 	xgettext -k_ -o po/pmount.pot --copyright-holder "Martin Pitt" --msgid-bugs-address="martin.pitt@canonical.com" *.c
+
+updatepo: po/pmount.pot
 	for f in po/*.po; do echo -n "updating $$f "; msgmerge -U $$f po/pmount.pot; done
+
+dist: clean
+	mkdir ../pmount-$(VERSION)
+	find -type f ! -path '*.bzr*' ! -name . | cpio -pd ../pmount-$(VERSION)
+	cd ..; tar cv pmount-$(VERSION) | gzip -9 > "pmount-$(VERSION).tar.gz"; rm -r pmount-$(VERSION)
 
 # dependencies
 policy.o: policy.h utils.h
-pmount.o: policy.h utils.h fs.h
-pumount.o: policy.h utils.h
+pmount.o: policy.h utils.h fs.h luks.h
+pumount.o: policy.h utils.h luks.h
 utils.o: utils.h
 fs.o: fs.h
 pmount-hal.o: policy.h
