## pmount 0.9.20-1-0busybox

=== debian/changelog ===
pmount (0.9.20-1-0busybox) unstable; urgency=low
  * Removed unimplemented 'user' option from mount options

 -- Jonathan Schultz <jonathan@imatix.com>  Thu, 26 Nov 2010 13:57:29 +1100

pmount (0.9.20-1) unstable; urgency=low

  * Fix pmount completion for bash in the case of aliased ls. Thanks to 
    Daniel Dehennin <daniel.dehennin@baby-gnu.org> for reporting and
    providing the fix. (closes: #530360)
  * New upstream release, that fixes quite a few various bugs:
    - typo in manual page (closes: #520952), thanks to Peter Klotz
      <peter.klotz@aon.at> for reporting/fixing
    - pumount can now unmount devices that have gone missing, thanks to
      Michal Suchanek <hramrach@centrum.cz> for pointing the problem
      (closes: #541180).
    - pumount now severely discourages lazy unmounts, which somewhat 
      closes: #542755
  * Now conforms to standards 3.8.3
  
 -- Vincent Fourmond <fourmond@debian.org>  Fri, 11 Sep 2009 00:29:16 +0200

pmount (0.9.19-1) unstable; urgency=low

  * New upstream version:
    - whitelisted firewire devices (closes: #495458)
    - works with newer sysfs (closes: #516199)
    - follow symlinks in /etc/pmount.allow (closes: #507038)
  * Fix Vcs-git field, thanks to Daniel Moerner <dmoerner@gmail.com> 
    for spotting (closes: #512092)
  * Adding a forgotten file in debian/copyright + small details there
    as well.
  * Add bash completion, courtesy of Eduard Bloch <blade@debian.org>
    (closes: #517137)
  * Drop build-dep on libsysfs
  * Add a ${misc:Depends} dependency

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 02 Mar 2009 21:49:47 +0100

pmount (0.9.18-2) unstable; urgency=medium

  * Adding Vcs-* fields
  * Updated debian/copyright with new location of download files
    (closes: #504589)
  * Urgency medium to fix a trivial RC bug in testing.

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 05 Nov 2008 19:53:20 +0100

pmount (0.9.18-1) unstable; urgency=low

  * New 'upstream' release:
    - norwegian translation renamed (closes: #501302)
    - fixes VFAT and UTF8 problems (closes: #443514)
  * Adding a debian/README.source file to make it comply to
    Policy 3.8.0
  * Removing 10-finally-fix-fstab-devices, already applied upstream
  * Documenting patch 01-man-plugdev, to make pmount lintian-clean

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 18 Oct 2008 22:27:58 +0200

pmount (0.9.17-2) unstable; urgency=medium

  * Finally fix the problems with symlinks in fstab (closes: #435645), with
    patch 10-finally-fix-fstab-devices
  * Urgency medium to fix RC bug in testing

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 11 Feb 2008 21:50:05 +0100

pmount (0.9.17-1) unstable; urgency=low

  * New 'upstream' release:
    - dropping all patches, as they are included 'upstream'
    - now using libblkid for fs autodetection (Closes: #443575)
    - automatic detection and use of NTFS-3G (Closes: #455960)
    - pullling new translations from Rosetta
  * Bumped Standard Version to 3.7.3, with apparently no changes needed.

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 30 Dec 2007 00:25:28 +0100

pmount (0.9.16-4) unstable; urgency=low

  * Revert 04-dont-resolve-fstab-symlinks, as it has very nasty
    side effects (Closes: #435645)
  * Now check twice if the device is in fstab: once before prepending
    /dev, once afterwards, so that #418888 stays closed !

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 16 Aug 2007 15:25:17 +0200

pmount (0.9.16-3) unstable; urgency=low

  * Don't check if pmount's argument is a fstab mountpoint if we
    do know it is a device (should Closes: #418203)

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 17 Jul 2007 21:00:11 +0200

pmount (0.9.16-2) unstable; urgency=low

  * Disable symlink lookup for /etc/fstab entries, as it doesn't
    make much sense as mount itself doesn't do it. (Closes: #418888)

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 06 Jul 2007 19:49:23 +0200

pmount (0.9.16-1) unstable; urgency=low

  * New 'upstream release':
    - support for fmask/dmask (Closes: #344278, #431065), based on a
      patch by Suren A. Chilingaryan <csa@dside.dyndns.org>
    - better support for mounting by label/uuid (Closes: #328980)
    - now using nls=charset for NTFS (Closes: #398388)
    - pmount without arguments now lists the mounted removable
      devices, based on a patch by Dan Keder <keder@fi.muni.cz> 
      (Closes: #426879)
    - pmount now can mount NTFS fs via ntfsmount or ntfs-3g 
      (Closes: #375211)

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 04 Jul 2007 00:22:39 +0200

pmount (0.9.15-1) unstable; urgency=low

  * New 'upstream' release:
    - Fixes problems with recent kernels (Closes: #411380, #411772)
    - better behavior with LUKS devices (Closes: #408673)

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 27 Jun 2007 23:36:09 +0200

pmount (0.9.14-1) unstable; urgency=low

  * New 'upstream' release:
    - Fixes the case when /media is a symlink, thanks to
      Tim Phipps <tim@phipps-hutton.freeserve.co.uk> (Closes: 383929)
    - -p is now a shortcut for --passphrase (Closes: #386230)
    - document why pmount gives more error messages than
      mount -t auto (Closes: #388507)
  * Update FSF's address in debian/copyright

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 16 Jun 2007 14:54:28 +0200

pmount (0.9.13-4) unstable; urgency=low

  * Now using dpatch
  * Fix potential kernel panics with custom ext2/3 filsystems
    (closes: #427402)
  * Fixed typo in the help text (closes: #385153)

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 13 Jun 2007 23:27:36 +0200

pmount (0.9.13-3) unstable; urgency=low

  * New maintainer (closes: #422005)
  * Added debian/watch with new alioth project files
  * Bumped Standards-Version to 3.7.2, no changes

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 12 Jun 2007 20:33:20 +0200

pmount (0.9.13-2) unstable; urgency=low

  * Orphan package (see #422005)

 -- Martin Pitt <mpitt@debian.org>  Sun, 20 May 2007 15:44:07 +0200


