## pmount 0.9.23

=== debian/changelog ===
pmount (0.9.23-9) unstable; urgency=low

  * Team upload, salsa debian namespace.

  [ Florian Weimer ]
  * C99 compatibility fixes for pmount (closes: #1025973)

  [ Eduard Bloch ]
  * Probe for further filesystems as alternatives:
    - btrfs (closes: #596456)
    - f2fs (closes: #989252)
  * Drop fuse-specific 'quiet' flag from the regular mount options on exfat
    (thanks to Jakub Wilk, closes: #1098216)
  * Patch to use bitlkOpen similarly to luksOpen to handle Bitlocker volumes
    (closes: #1018695)

 -- Eduard Bloch <blade@debian.org>  Wed, 19 Mar 2025 10:31:59 +0100

pmount (0.9.23-8) unstable; urgency=medium

  * Team upload, salsa debian namespace.

  [ Roland Kaufmann ]
  * Support mounting exFAT filesystems

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 02 Jan 2025 03:16:13 +0100

pmount (0.9.23-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1066515).

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 15 Mar 2024 23:43:49 +0500

pmount (0.9.23-7) unstable; urgency=medium

  * New maintainer. Closes: #689854
  * Add missing license for GPL-2.
  * Add Dominik Szmek <minikdo@riseup.net> as copyright holder for debian/*.
  * Fix a typo in debian/conrol Homepage field.
  * Bump a Standards-Version to use 4.6.2. No changes were required.

 -- Dominik Szmek <minikdo@riseup.net>  Thu, 14 Sep 2023 13:28:36 +0530

pmount (0.9.23-6) unstable; urgency=medium

  * QA upload.
  * debian/control: added the Vcs-* fields and URLs of the salsa.debian.org.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Jair Reis <jmsrdebian@protonmail.com>  Thu, 11 Jun 2020 21:23:11 -0300

pmount (0.9.23-5) unstable; urgency=medium

  * QA upload.
  * debian/control: added the field Homepage.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Update all data.
  * debian/patches/01-man-plugdev.diff: added the 'Authors' and
    'Last-Update' fields.
  * debian/patches/10_fix-spelling-binary-errors.patch: created to fix some
    spelling errors.
  * debian/patches/20_fix-spelling-manpage-error.patch: created to fix
    spelling error.
  * debian/pmount.install: updated to fix the lintian
    package-installs-into-obsolete-dir.
  * debian/tests/control: added 'needs-root' to Restriction field.
    (Closes: #961705)

 -- Jair Reis <jmsrdebian@protonmail.com>  Thu, 04 Jun 2020 08:04:42 -0300

pmount (0.9.23-4) unstable; urgency=medium

  * QA upload.
  * Run wrap-and-sort.
  * Set Debian QA Group as maintainer. (see #689854)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: binary-targets' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Removed no longer needed build dependency on dh_autoreconf.
  * debian/rules:
      - Added the variable DEB_BUILD_MAINT_OPTIONS to
        improve the hardening.
      - Removed '--with autoreconf' because it is default in the
        DH 10.
  * debian/tests/control: created to perform trivial CI test.
  * debian/watch:
      - Bumped to version 4.
      - Updated the upstream release site URL.

 -- Jair Reis <jmsrdebian@protonmail.com>  Tue, 19 May 2020 16:54:52 -0300

pmount (0.9.23-3) unstable; urgency=low

  * Use dh-autoreconf at build time (closes: #727943, #744493)
  * Conforms to standards 3.9.5
  * Use dh compatibility level of 9 to enable hardened builds (closes:
    #664501)
  * Add bash completion for mounted paths in pumount (closes: #678713).
    Thanks to Aaron Small <a.small@unb.ca> for the patch.

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 18 May 2014 10:03:13 +0200

pmount (0.9.23-2) unstable; urgency=low

  * Updating bash completion, based on a patch by
    Eduard Bloch <edi@gmx.de>
  * Dropped debian/README.source, long ago pointless
  * Switched to dh 7 debian/rules.
  * It seems pmount already conforms to standards 3.9.1
  * Drop hal support, as hal is obsolescent (closes: #612794)
    - that also means that all pmount-hal related problems are now gone
      (closes: #385238, #580179, #379799)
    - document the reasons in debian/NEWS
  * Disable dh_auto_test as it shows some files were forgotten while
    building the original tarball...

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 11 Feb 2011 00:56:16 +0100

pmount (0.9.23-1) unstable; urgency=high

  * New upstream release
  * Fixes security issue CVE-2010-2192, a security hole by which allowed
    any user to use a symlink attack to create empty root-owned files and
    to remove any file with a numeric name.
  * Urgency high to fix security hole in testing

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 16 Jun 2010 01:30:06 +0200

pmount (0.9.22-1) unstable; urgency=low

  * New upstream release, that now correctly luksClose luksOpened devices
    at pumount time.
  * Now dropping dpatch, as we have switched to format 3.0 (quilt)

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 11 May 2010 23:51:25 +0200

pmount (0.9.21-1) unstable; urgency=low

  * New (small) upstream release:
    - provides support for ext4; dropping 10-ext4fs (closes: #571739)
    - now switches to ruid = euid = 0 when calling cryptsetup, which a
      necessary hack for cryptsetup breakage; dropping 15-cryptsetup-rroot
      (closes: #551540)
  * Switching to format 3.0 (quilt)
  * Now conforms to standards 3.8.4

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 04 May 2010 23:07:16 +0200

pmount (0.9.20-3) experimental; urgency=low

  * Experimental and possibly unsafe attempt at addressing bug #551540. Do
    not use yet on machines where security is a real concern.

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 25 Oct 2009 00:24:19 +0200

pmount (0.9.20-2) unstable; urgency=low

  * Pull commit 804eb6da31801c2f from upstream to (finally) include

