=== debian/control ===
Source: pmount
Section: utils
Priority: optional
Maintainer: Dominik Szmek <minikdo@riseup.net>
Build-Depends: debhelper-compat (= 13),
               intltool,
               libblkid-dev,
               libglib2.0-dev
Standards-Version: 4.6.2
Rules-Requires-Root: binary-targets
Homepage: https://alioth-archive.debian.org/releases/pmount/pmount
Vcs-Browser: https://salsa.debian.org/debian/pmount
Vcs-Git: https://salsa.debian.org/debian/pmount.git

Package: pmount
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: cryptsetup (>= 2:2.3.1)
Description: mount removable devices as normal user
 pmount is a wrapper around the standard mount program which permits normal
 users to mount removable devices without a matching /etc/fstab entry. This
 provides a robust basis for automounting frameworks like GNOME's Utopia
 project and confines the amount of code that runs as root to a minimum.
 .
 If a cryptsetup package with LUKS or BitLocker support is installed,
 pmount can transparently mount such encrypted volumes.
