=== debian/tests/control ===
Test-Command: pmount -h
Restrictions: needs-root, superficial
