=== debian/watch ===
version=4
https://alioth-archive.debian.org/releases/pmount/pmount/([\d\.\-a-z]+)/pmount-([\d\.\-a-z]+)
