## pmount 0.9.99-alpha

=== debian/changelog ===
pmount (0.9.99-alpha-1) experimental; urgency=low

  * New upstream experimental release, bringing in a lot of new features:
    - fscking (closes: #513431, #488627, #542779, since all of these bugs,
      though different, come from the impossibility to run fsck on a
      filesystem before mounting)
    - now by default forbidding mounts by users not physically logged in, 
      which prevents mount races (closes: #431286)
    - whitelisting firewire (closes: #616019)
    - checking the sanity of the target device before attempting to mount
      it, which in particular prevents long errors with a 'no medium found'
      error (closes: #615979)
    - finally opening the possibility to mount user images through loop 
      devices (closes: #373580)
  * Added a news entry about the new configuration file
  * Update watchfile to accept -alpha in the release number

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 25 Mar 2011 20:03:07 +0100
